#ifndef LC_MY_LINE_EDIT_H
#define LC_MY_LINE_EDIT_H

#include <QLineEdit>
#include <QFocusEvent>
#include <QKeyEvent>

class  LcMyLineEdit : public QLineEdit
{
    Q_OBJECT
public:
    explicit LcMyLineEdit(QWidget *parent = 0);

signals:
    void focusOut();
    void focusIn();
    void myTextChange();

public slots:

protected:
    void focusOutEvent( QFocusEvent *e);
    void focusInEvent( QFocusEvent *e);
    void keyPressEvent( QKeyEvent *e);

};

#endif // LC_MY_LINE_EDIT_H
